{ pkgs , ... } :

with pkgs ;

{
	imports = [
		packages/bookwyrm/nixos-module.nix
	] ;

	nixpkgs = {
		overlays = [
			( self : super : {
				kernelmaft = {

					bookwyrm = callPackage (
						import packages/bookwyrm/package.nix
					) {} ;

					python = {

						bw-file-resubmit = callPackage (
							import packages/python3.11-bw-file-resubmit/package.nix
						) {} ;

						django-imagekit = callPackage (
							import packages/python3.11-django-imagekit/package.nix
						) {} ;

						django-pgtrigger = callPackage (
							import packages/python3.11-django-pgtrigger/package.nix
						) {} ;

						django-sass-processor = callPackage (
							import packages/python3.11-django-sass-processor/package.nix
						) {} ;

						s3-tar = callPackage (
							import packages/python3.11-s3-tar/package.nix
						) {} ;

					} ;

				} ;

				# TODO: Use the following template once the custom Python packages have been converted to use `buildPythonPackage`
      	#
      	# python311 = super . python311 . override {
      	#   packageOverrides = python-self : python-super : {
      	#     package-name = super . callPackage ( import ./package-file.nix ) {} ;
      	#   } ;
      	# } ;

			} )
		] ;
	} ;
}
